<?
$DEFINITIONS = Zend_Registry::get('defines');
$ms = '';
$wk = '';

foreach ($DEFINITIONS['month_' . $this->lang()] as $m)
	$ms .= "'" . ucfirst($m) . "', ";

$ms = trim($ms, ", ");

foreach ($DEFINITIONS['week_' . $this->lang()] as $w)
	$wk .= "'" . ucfirst($w) . "', ";

$wk = trim($wk, ", ");
?>

<? $seo = $this->seo('reviews-escort', 0, array('showname' => $this->escort->showname)); ?>

<script type="text/javascript">
	Cubix.ReviewsEscort.months = [<?= $ms ?>];
	Cubix.ReviewsEscort.days = [<?= $wk ?>];
</script>

<? $this->headScript()->appendScript('window.addEvent("domready", function () { Cubix.ReviewsEscortHash.init(); })'); ?>

<?= $this->render('widgets/path.phtml') ?>

<section id="review-escort" class="clearfix">
	<div class="image">
		<img src="<?= $this->escort->getMainPhoto()->getUrl('review_escort_small_v3') ?>" width="102" height="102" alt="<?= __('escort') ?> <?= $this->escort->showname ?>" />
	</div>
	<div class="info clearfix">
		<?php
		$esc_showname = $this->escort->showname;
		if(isset($this->lng) && $this->lng == 'en'){ $esc_showname .= "'s"; }?>
		<a href="<?= $this->getLink('profile', array('escort_id' => $this->escort->id, 'showname' => $this->escort->showname)) ?>"><div class="showname"><?= $esc_showname ?> <?= __('reviews') ?></div></a>
		<div class="btns clearfix">
			<a href="<?= $this->getLink('profile', array('escort_id' => $this->escort->id, 'showname' => $this->escort->showname)) ?>" class="btn-view-profile"><?= __('view_profile') ?></a>

			<? if (!$this->escort->disabled_reviews): ?>
				<a href="<?= $this->getLink('add-review') ?>?escort_id=<?= $this->escort->id ?>" class="btn-add-review"><?= __('add_review') ?></a>
			<? endif; ?>
		</div>
	</div>
</section>

<section id="reviews-filter">
	<div id="filter" class="resp-filter">
		<div class="inner-wrap">
			<div class="inner mb0">
				<input type="text" name="meeting_date_f" id="e_meeting_date_f" class="txt w164" placeholder="<?= __('meeting_date_from') ?>" />
			</div>
			<div class="inner mb0">
				<input type="text" name="meeting_date_t" id="e_meeting_date_t" class="txt w164" placeholder="<?= __('meeting_date_to') ?>" />
			</div>
			<div class="inner mb0">
				<input type="text" name="date_added_f" id="e_date_added_f" class="txt w164" placeholder="<?= __('date_added_from') ?>" />
			</div>
			<div class="inner mb0">
				<input type="text" name="date_added_t" id="e_date_added_t" class="txt w164" placeholder="<?= __('date_added_to') ?>" />
			</div>

			<div class="inner mb0">
				<input type="text" name="member" id="member" class="txt w170" placeholder="<?= __('member') ?>" value="<?= $this->member ?>" />
			</div>

			<a href="#" class="btn-search" onclick="return Cubix.ReviewsEscortHash.SetFilter({page: [1]});"><?= __('filter_reviews') ?></a>

			<div class="clear"></div>

			<input type="hidden" id="escort_id" name="escort_id" value="<?= $this->escort->id ?>" />
		</div>
	</div>
</section>

<section id="sorting-box">
	<hr class="long-line">

	<div class="sort-mid">
		<select data-parentClass="last-moony" class="moony mooniform-simple w259" name="sort" id="sort" onchange="return Cubix.ReviewsEscortHash.SetFilter({page: [1]});">
			<option value="add_desc"><?= __('date_added_new_to_old') ?></option>
			<option value="add_asc"><?= __('date_added_old_to_new') ?></option>
			<option value="meet_desc"><?= __('meeting_date_new_to_old') ?></option>
			<option value="meet_asc"><?= __('meeting_date_old_to_new') ?></option>
		</select>
	</div>
</section>

<section id="reviews-list">
	<div id="list">
		<?= $this->render('reviews/escort-list.phtml') ?>
	</div>
</section>

<?
if ( $seo ) {
	if ( strlen($seo->title) ) {
		$this->headTitle($seo->title, 'PREPEND');
	}

	if ( strlen($seo->keywords) ) {
		$this->headMeta()->appendName('keywords', $seo->keywords);
	}

	if ( strlen($seo->description) ) {
		$this->headMeta()->appendName('description', $seo->description);
	}
}
?>